Skip to main content
GET
List webhooks

Authorizations

Authorization
string
header
required

Authenticate with an API access token in the Authorization header: Authorization: Bearer <token>. Create a token from the API Access Tokens page in Contractors Cloud, under Integrations.

Query Parameters

page[number]
integer
default:1

The 1-indexed page number to retrieve.

Required range: x >= 1
page[size]
integer
default:30

The number of results per page (max 100).

Required range: 1 <= x <= 100
filter[id]
string<uuid>

Exact match on the webhook's id.

filter[company_id]
integer

Exact match on the id of the company the webhook is scoped to.

filter[user_id]
integer

Exact match on the id of the user who created the webhook.

filter[is_enabled]
boolean

Limit to webhooks that are enabled (1) or disabled (0).

include
string

Comma-separated related resources to embed. Allowed: company, user.

sort
string

Field to sort by. Prefix with - for descending. Allowed: endpoint, updated_at, created_at. Defaults to -created_at.

Response

A paginated list of webhooks.

data
object[]
current_page
integer

The 1-indexed page number of the current response.

Example:

1

first_page_url
string

The URL of the first page of results.

from
integer | null

The 1-indexed position of the first record in data for this page. Null when the page is empty.

Example:

1

last_page
integer

The number of the final page in the result set.

Example:

4

last_page_url
string

The URL of the last page of results.

Rendered pagination links (previous, numbered pages, next).

next_page_url
string | null

The URL of the next page, or null if this is the last page.

path
string

The endpoint URL without query parameters.

per_page
integer

The number of records requested per page.

Example:

30

prev_page_url
string | null

The URL of the previous page, or null if this is the first page.

to
integer | null

The 1-indexed position of the last record in data for this page. Null when the page is empty.

Example:

30

total
integer

The total number of records across all pages.

Example:

97